From 69080574d52fc85c5ec81f84e808ba62a27801a6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 08 2020 00:54:45 +0000
Subject: [PATCH 994/2232] Skip trying to call `cargo metadata` if CARGO_TARGET_DIR is relative


---

diff --git a/gen/build/src/cargo.rs b/gen/build/src/cargo.rs
index 7db8a4c..18b6b6f 100644
--- a/gen/build/src/cargo.rs
+++ b/gen/build/src/cargo.rs
@@ -10,7 +10,12 @@ pub(crate) fn target_dir(out_dir: &Path) -> TargetDir {
 
 fn try_target_dir(out_dir: &Path) -> Option<PathBuf> {
     if let Some(target_dir) = env::var_os("CARGO_TARGET_DIR") {
-        return Some(PathBuf::from(target_dir));
+        let target_dir = PathBuf::from(target_dir);
+        if target_dir.is_absolute() {
+            return Some(target_dir);
+        } else {
+            return None;
+        };
     }
 
     let cargo = option_env!("CARGO").unwrap_or("cargo");

